Bug 448590 - gdb causes execstack on ia64
gdb causes execstack on ia64
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libunwind (Show other bugs)
4.7
ia64 Linux
low Severity low
: rc
: ---
Assigned To: Jan Kratochvil
:
Depends On: 201888
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 14:30 EDT by Jan Kratochvil
Modified: 2012-06-20 09:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:18:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
libunwind-0.98.5-stack-nonexec.patch (4.70 KB, patch)
2008-05-27 14:30 EDT, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Jan Kratochvil 2008-05-27 14:30:25 EDT
+++ This bug was initially created as a clone of Bug #201888 +++

Description of problem:
libunwind has needlessly executable stack, already fixed as RHEL-5 Bug 201888.
It was now reported by rpmdiff RHBA-2008:8351
http://errata.devel.redhat.com/rpmdiff/show/26584?result_id=228240

Version-Release number of selected component (if applicable):
libunwind-0.98.2-3.el4.ia64

Fixed by:
* Sat Sep 22 2006 Jan Kratochvil <jan.kratochvil@redhat.com> - 0.98.5-2
- SELinux compatibility fix - stack is now non-exec (Jakub Jelinek suggestion).
Comment 1 Jan Kratochvil 2008-05-27 14:30:25 EDT
Created attachment 306818 [details]
libunwind-0.98.5-stack-nonexec.patch
Comment 2 RHEL Product and Program Management 2008-10-31 12:46:21 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 3 Jiri Pallich 2012-06-20 09:18:05 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.